<?PHP
// This file updates messageboard tables from Aforum version 1.02 or earlier
// to version 1.23 or later.
// Delete this file if it is not needed or when you are finished using it!

// Instructions:
// Delete the 'exit' below and run the script once. Delete this file when finished.

// remove this line:
exit;

$ext = 'php';
$AdminDataFile = "../common/avars.$ext";
$aheader = "include/ahead.phpi";
$afooter = "include/afoot.phpi";

if (file_exists($AdminDataFile)) {
  include $AdminDataFile;}
else exit("avars file missing");

if (file_exists($MainDataFile)) {
  include $MainFuncFile;}

include "include/alogin.phpi";

if (function_exists(OpenDatabase)) $qq = OpenDatabase();


// add column 'archive' to boardslist
echo "<p>adding column 'archive' to $BoardsListName</p>\n";
$sSQL = "ALTER TABLE $BoardsListName ADD COLUMN archive int(11) DEFAULT 0 NOT NULL";
$qq->query($DB, $sSQL);
echo $qq->error();

// get list of messageboards
$sSQL = "Select id, name, table_name, virt_dir from $BoardsListName order by list_order";
$q1 = new query($DB, $sSQL);

// loop for all messageboards
while ($row = $q1->getrow()) {
  $id = $row['id'];
  $name = $row['name'];
  $tablename = $row['table_name'];
  echo "<p>modifying table $tablename for $name</p>\n";

  $qq->query($DB, "select approved from $tablename");
  if (!$qq->error()) {

    echo "updating from version 1.02 or earlier";
    $sSQL =
    "ALTER TABLE $tablename
    DROP INDEX approved,
    CHANGE COLUMN approved moderator CHAR(10) NOT NULL DEFAULT '',
    ADD COLUMN flgs smallint DEFAULT '1' NOT NULL,
    ADD COLUMN astatus smallint DEFAULT '1' NOT NULL,
    ADD INDEX astatus (astatus)";

    $qq->query($DB, $sSQL);
    echo $qq->error();

    $sSQL = "UPDATE $tablename SET astatus = 0x500 WHERE moderator = 'N'";
    $qq->query($DB, $sSQL);
    echo $qq->error();}

  else {
    echo "updating from version 1.20 - 1.22";

    $sSQL = "UPDATE $tablename SET astatus = 1 WHERE astatus in (0,4,8,12,14,24)";
    $qq->query($DB, $sSQL);
    echo $qq->error();

    $sSQL = "UPDATE $tablename SET astatus = 0x200 WHERE astatus = 64";
    $qq->query($DB, $sSQL);
    echo $qq->error();

    $sSQL = "UPDATE $tablename SET astatus = 0x480 WHERE astatus =129";
    $qq->query($DB, $sSQL);
    echo $qq->error();

    $sSQL = "UPDATE $tablename SET astatus = 0x500 WHERE astatus in (136,138,152)";
    $qq->query($DB, $sSQL);
    echo $qq->error();

  }}


echo "<p>Finished";
?>
